# $Revision: 1.4 $, $Date: 2012/06/08 08:51:43 $
%define		_dash_snap	2012-01-17
%define		_spec_snap	%(echo %{_dash_snap} | sed -e 's/-//g')
Summary:	Microcode definitions for AMD64 processors
Name:		microcode-data-amd
Version:	%{_spec_snap}
Release:	2
License:	AMD SOFTWARE LICENSE AGREEMENT
Group:		Base
# http://www.amd64.org/index.php?id=50&file=amd-ucode-2012-01-17.tar
Source0:	amd-ucode-%{_dash_snap}.tar
# Source0-md5:	c0eabb7e25e1f9045b7dd5ceabfddd09
URL:		http://www.amd64.org/support/microcode.html
Provides:	microcode-data
ExclusiveArch:	i686 %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to put there
%define		_enable_debug_packages	0

%description
The microcode data file for Linux contains the latest microcode
definitions for AMD64 processor families 10h, 11h, 12h, 14h, and 15h.

%prep
%setup -q -n amd-ucode-%{_dash_snap}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware/amd-ucode
install microcode_amd.bin $RPM_BUILD_ROOT/lib/firmware/amd-ucode
install microcode_amd_fam15h.bin $RPM_BUILD_ROOT/lib/firmware/amd-ucode

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir /lib/firmware/amd-ucode
%attr(640,root,root) /lib/firmware/amd-ucode/microcode*.bin

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: microcode-data-amd.spec,v $
Revision 1.4  2012/06/08 08:51:43  gotar
- allow patching on systems running in 32-bit mode, rel. 2

Revision 1.3  2012/05/23 16:55:05  pluto
- include /lib/firmware/amd-ucode directory in rpm package.

Revision 1.2  2012/05/23 16:52:25  pluto
- install files into /lib/firmware/amd-ucode.

Revision 1.1  2012/05/23 16:43:58  pluto
- microcode patchset for amd64 cpus.
